
local ZoneTextPlus = _G.CreateFrame("Frame", "InitiumNovum_ZoneTextPlus")
ZoneTextPlus.obj = _G.LibStub("LibDataBroker-1.1"):NewDataObject("ZoneTextPlus", {type = "data source"})

ZoneTextPlus:SetScript("OnEvent", function()
    local return_zone_text = ""

    local real_zone_text = _G.GetRealZoneText()
    local sub_zone_text = _G.GetSubZoneText()

    if sub_zone_text == "" then
        return_zone_text = real_zone_text
    else
        return_zone_text = real_zone_text .. " - " .. sub_zone_text
	end

    ZoneTextPlus.obj.text = return_zone_text
end)

ZoneTextPlus:RegisterEvent("ZONE_CHANGED_INDOORS")
ZoneTextPlus:RegisterEvent("ZONE_CHANGED")
ZoneTextPlus:RegisterEvent("ZONE_CHANGED_NEW_AREA")
ZoneTextPlus:RegisterEvent("PLAYER_LOGIN")
